Subject: Re: bug#68766: 29.2; Windows dark/light mode changes does not reflect on Emacs Title bar/Scrollbar

From: Visuwesh <[email-masked]>
Date: Tue, 30 Jan 2024 13:07:32 +0530

[திங்கள் ஜனவரி 29, 2024] Stefan Kangas wrote:

> On a side note, I still don't think we have support for changing the
> theme as well, do we?  This is the feature that auto-dark-mode provides.
> In addition to changing the toolbar settings, I'd propose the new user
> options `theme-dark' and `theme-light' indicating themes to switch to
> when the desktop environment tells us that it's time.

I wish we could reuse the frame-background-mode facility [1].  But
currently AFAIK, none of the themes exploit the 'background' face
display characteristic [2] to set the colours for light and dark
backgrounds in the same theme.  Perhaps some work can be done in this
direction?

1. There's even a commented out dark-mode command in frame.el.
2. (info "(elisp) Defining Faces") and the example definition therein.